Skip to content

Suggest sensitive data rule.

POST
/api/config/namespaces/{namespace}/api_sec/rule_suggestion/data_exposure
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/api_sec/rule_suggestion/data_exposure \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "method": "ANY", "namespace": "example", "path": "example", "virtual_host_name": "example" }'

Suggest sensitive data rule for a given path.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace of the App type for current request.

Media typeapplication/json
GetSuggestedSensitiveDataRuleReq

GET suggested sensitive data rule for a given path.

object
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
namespace
Namespace

Namespace of the App type for current request Required: YES.

string
>= 6 characters <= 1024 characters
path
Path

Path to apply the sensitive data to Required: YES.

string
<= 1024 characters
virtual_host_name
Name

Virtual Host for which this sensitive data rule applied Required: YES.

string
<= 1024 characters

A successful response.

Media typeapplication/json
GetSuggestedSensitiveDataRuleRsp

GET suggested sensitive data rule for a given path.

object
found_existing_rule
object
loadbalancer_type
string
default: VIRTUAL_SERVICE
Allowed values: VIRTUAL_SERVICE HTTP_LOAD_BALANCER API_GATEWAY TCP_LOAD_BALANCER PROXY CDN_LOAD_BALANCER NGINX_SERVER UDP_LOAD_BALANCER
rule
object
api_endpoint
object
methods
Methods

Methods to be matched.

Array<string>
<= 16 items
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
path
Path

Path to be matched Required: YES.

string
<= 1024 characters
body
object
fields
Field Values

List of JSON Path field values. Use square brackets with an underscore [] to indicate array elements (e.g., person.emails[]). To reference JSON keys that contain spaces, enclose the entire path in double quotes. For example: “person.first name”. Required: YES.

Array<string>
>= 1 items <= 16 items
mask
object
report
object
Example
{
"loadbalancer_type": "VIRTUAL_SERVICE",
"rule": {
"api_endpoint": {
"methods": [
"ANY"
]
}
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example